#ifndef PERIPHERALWIDGET_H
#define PERIPHERALWIDGET_H

#include <QWidget>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QList>
#include <QTimer>
#include "registerwidget.h"

class peripheralWidget : public QWidget
{
    Q_OBJECT
public:
    explicit peripheralWidget(const QString& name, QWidget *parent = 0);

signals:

public slots:
    void blinkCursor();
protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void keyPressEvent(QKeyEvent * event);
    void paintEvent(QPaintEvent* event);

private:
    void up();
    void down();
    QString p_name;
    QList<registerWidget*> registersWdgts;
    int selectedReg;
    QTimer* p_timer;
};

#endif // PERIPHERALWIDGET_H
